unit MDTsample;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DateTime, Grids, Calendar;

type
  Texmpl = class(TForm)
    MDT: MDateTime;
    SetDate: TButton;
    GetSysDate: TButton;
    Cal: TCalendar;
    Exit: TButton;
    Month: TLabel;
    Year: TLabel;
    procedure SetDateClick(Sender: TObject);
    procedure GetSysDateClick(Sender: TObject);
    procedure ExitClick(Sender: TObject);
    procedure CalChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  exmpl: Texmpl;

implementation

{$R *.DFM}

procedure Texmpl.SetDateClick(Sender: TObject);
begin
   MDT.Day:=Cal.Day;
   MDT.Month:=Cal.Month;
   MDT.Year:=Cal.Year;
   MDT.SetSysDate;
end;

procedure Texmpl.GetSysDateClick(Sender: TObject);
begin
   MDT.GetSysDate;
   Cal.Day:=MDT.Day;
   Cal.Month:=MDT.Month;
   Cal.Year:=MDT.Year;
end;

procedure Texmpl.ExitClick(Sender: TObject);
begin
   Close;
end;


procedure Texmpl.CalChange(Sender: TObject);
begin
   Month.Caption:=IntToStr(Cal.Month)+'.';
   Year.Caption:=IntToStr(Cal.Year)+'.';
end;

end.
